commit: 29d239d42e7c4699204bbff6c748a09449474fed
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 3 09:55:20 2025 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Jun 3 10:37:04 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29d239d4
dev-qt/qtlocation: add 6.9.1
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
dev-qt/qtlocation/Manifest | 1 +
dev-qt/qtlocation/qtlocation-6.9.1.ebuild | 44 +++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
index bb2687262722..335bad7875b6 100644
--- a/dev-qt/qtlocation/Manifest
+++ b/dev-qt/qtlocation/Manifest
@@ -1,3 +1,4 @@
DIST qtlocation-everywhere-src-6.8.2.tar.xz 3164164 BLAKE2B
afa31c8caad97b54ee577145966e1e13d60854181cfd899facbabd17c498995b80ca4bf233ff68645d895130b8628571d109611f8b1b9e3907aa7a0ff5458178
SHA512
b113e26284bae7c9a45075c771d4159ec11d7ab0670aca2165616c775f51d87f63a97c2befb1ec03f777b48eedea9625584f0c62891ae23c7158be5513edeebd
DIST qtlocation-everywhere-src-6.8.3.tar.xz 3165768 BLAKE2B
75f8dba414b72a9fa4f79a2316e264bd8535d203b68caae472ef3f5ee4cb9f89587116fa8d51029beada48c6379bf8e58d5a9a770e35102c62ec379cc57d9b9f
SHA512
c7cbd76b6b8b7d09387c7da0e6630959ae66f0c8af2cd26b255e86ec36c6efeec59e4af7b34faa05f2fa035d4dd075d13a8dd0bccaefac48d391b4fa786769c0
DIST qtlocation-everywhere-src-6.9.0.tar.xz 3166020 BLAKE2B
da3a3aa208fe3e8fe7139e128d196e8247fa4faefcbdc2d19bd8bb64798da7c9f61d0bff90bee851f82ac07d62fe0318ee1da909deba38ef099e4fb828d5b204
SHA512
08a6b6af91d4c208210f8f28f7aa0f14831ac54e60bf695fce128fcf4dc9b36e403d360597fad5bdc81c729898e1678f4155d02ef788171e4f5622cbb16b25cd
+DIST qtlocation-everywhere-src-6.9.1.tar.xz 3166576 BLAKE2B
64758ea18c23b1863725187bf8883ef82baedecb461a1fd430ad16a74667b0e7834ab495c42509309f7051ff8847fd80c314fc68254048cf4e321a463586b46a
SHA512
25b1154608bad6e41556b64d098653157a1b4cd8ee2443af284d93bff4828bb4e5af737933b26d03c05e420837e884555e7676d91ffcf47269b01dc1e744ba49
diff --git a/dev-qt/qtlocation/qtlocation-6.9.1.ebuild
b/dev-qt/qtlocation/qtlocation-6.9.1.ebuild
new file mode 100644
index 000000000000..4685eef8061e
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-6.9.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Location (places, maps, navigation) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+ ~dev-qt/qtbase-${PV}:6[network]
+ ~dev-qt/qtdeclarative-${PV}:6
+ ~dev-qt/qtpositioning-${PV}:6[qml]
+"
+DEPEND="${RDEPEND}"
+
+CMAKE_SKIP_TESTS=(
+ # ignores QML_IMPORT_PATH (unlike other tests) and looks in
+ # the missing builddir/qml, skip rather than work around
+ tst_declarative_ui
+)
+
+src_install() {
+ qt6-build_src_install
+
+ if use test; then
+ local delete=( # sigh
+
"${D}${QT6_LIBDIR}"/cmake/Qt6Location/*TestGeoServicePlugin*.cmake
+
"${D}${QT6_LIBDIR}"/cmake/Qt6Location/*UnsupportedPlacesGeoServicePlugin*.cmake
+
"${D}${QT6_LIBDIR}"/cmake/Qt6Qml/QmlPlugins/*declarative_location_test*.cmake
+
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_geocodingplugin.so
+
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_placesplugin_unsupported.so
+
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_qmltestplugin.so
+
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_routingplugin.so
+ "${D}${QT6_QMLDIR}"/QtLocation/Test
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -rf -- "${delete[@]}" || die
+ fi
+}